org.osgi.framework.startlevel.dto

## Class FrameworkStartLevelDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO

    public class FrameworkStartLevelDTO
    extends DTO

Data Transfer Object for a FrameworkStartLevel.

The System Bundle can be adapted to provide a `FrameworkStartLevelDTO` for the framework of the Bundle.

Author:
  $Id$

### Field Summary

Fields
`int` `initialBundleStartLevel` The initial start level value that is assigned to a bundle when it is first installed.
`int` `startLevel` The active start level value for the framework.

### Constructor Summary

Constructors
Constructor and Description
`FrameworkStartLevelDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### startLevel

    public int startLevel

The active start level value for the framework.

See Also:
  `FrameworkStartLevel.getStartLevel()`

#### initialBundleStartLevel

    public int initialBundleStartLevel

The initial start level value that is assigned to a bundle when it is first installed.

See Also:
  `FrameworkStartLevel.getInitialBundleStartLevel()`

### Constructor Detail

#### FrameworkStartLevelDTO

    public FrameworkStartLevelDTO()